Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network240.78.0.0/18
Usable hosts16,382
Subnet mask255.255.192.0
Addresses16,384
Network address
240.78.0.0
Broadcast address
240.78.63.255
First usable
240.78.0.1
Last usable
240.78.63.254
Usable hosts
16,382 (16,384 less the network and broadcast addresses)
Subnet mask
255.255.192.0
Wildcard mask
0.0.63.255 (Cisco ACLs, OSPF)
Prefix length
/18
Type
Reserved 240.0.0.0/4
Future use; not usable on most systems
Old class
E (reserved)
As numbers
Hex F04E0000 · Integer 4031643648 to 4031660031
Reverse DNS zones
0.78.240.in-addr.arpa
1.78.240.in-addr.arpa
2.78.240.in-addr.arpa
3.78.240.in-addr.arpa
4.78.240.in-addr.arpa
5.78.240.in-addr.arpa
6.78.240.in-addr.arpa
7.78.240.in-addr.arpa
8.78.240.in-addr.arpa
9.78.240.in-addr.arpa
10.78.240.in-addr.arpa
11.78.240.in-addr.arpa
12.78.240.in-addr.arpa
13.78.240.in-addr.arpa
14.78.240.in-addr.arpa
15.78.240.in-addr.arpa
and 48 more
/18 is not on a 8-bit boundary, so it takes 64 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11110000.01001110.00000000.00000000240.78.0.0
Subnet mask11111111.11111111.11000000.00000000255.255.192.0
Network11110000.01001110.00000000.00000000240.78.0.0
Broadcast11110000.01001110.00111111.11111111240.78.63.255
Split into smaller subnets/25

240.78.0.0/18 makes 128 subnets of /25.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1240.78.0.0/25240.78.0.1 to 240.78.0.126240.78.0.127126
2240.78.0.128/25240.78.0.129 to 240.78.0.254240.78.0.255126
3240.78.1.0/25240.78.1.1 to 240.78.1.126240.78.1.127126
4240.78.1.128/25240.78.1.129 to 240.78.1.254240.78.1.255126
5240.78.2.0/25240.78.2.1 to 240.78.2.126240.78.2.127126
6240.78.2.128/25240.78.2.129 to 240.78.2.254240.78.2.255126
7240.78.3.0/25240.78.3.1 to 240.78.3.126240.78.3.127126
8240.78.3.128/25240.78.3.129 to 240.78.3.254240.78.3.255126
9240.78.4.0/25240.78.4.1 to 240.78.4.126240.78.4.127126
10240.78.4.128/25240.78.4.129 to 240.78.4.254240.78.4.255126
11240.78.5.0/25240.78.5.1 to 240.78.5.126240.78.5.127126
12240.78.5.128/25240.78.5.129 to 240.78.5.254240.78.5.255126
13240.78.6.0/25240.78.6.1 to 240.78.6.126240.78.6.127126
14240.78.6.128/25240.78.6.129 to 240.78.6.254240.78.6.255126
15240.78.7.0/25240.78.7.1 to 240.78.7.126240.78.7.127126
16240.78.7.128/25240.78.7.129 to 240.78.7.254240.78.7.255126
17240.78.8.0/25240.78.8.1 to 240.78.8.126240.78.8.127126
18240.78.8.128/25240.78.8.129 to 240.78.8.254240.78.8.255126
19240.78.9.0/25240.78.9.1 to 240.78.9.126240.78.9.127126
20240.78.9.128/25240.78.9.129 to 240.78.9.254240.78.9.255126
21240.78.10.0/25240.78.10.1 to 240.78.10.126240.78.10.127126
22240.78.10.128/25240.78.10.129 to 240.78.10.254240.78.10.255126
23240.78.11.0/25240.78.11.1 to 240.78.11.126240.78.11.127126
24240.78.11.128/25240.78.11.129 to 240.78.11.254240.78.11.255126
25240.78.12.0/25240.78.12.1 to 240.78.12.126240.78.12.127126
26240.78.12.128/25240.78.12.129 to 240.78.12.254240.78.12.255126
27240.78.13.0/25240.78.13.1 to 240.78.13.126240.78.13.127126
28240.78.13.128/25240.78.13.129 to 240.78.13.254240.78.13.255126
29240.78.14.0/25240.78.14.1 to 240.78.14.126240.78.14.127126
30240.78.14.128/25240.78.14.129 to 240.78.14.254240.78.14.255126
31240.78.15.0/25240.78.15.1 to 240.78.15.126240.78.15.127126
32240.78.15.128/25240.78.15.129 to 240.78.15.254240.78.15.255126
33240.78.16.0/25240.78.16.1 to 240.78.16.126240.78.16.127126
34240.78.16.128/25240.78.16.129 to 240.78.16.254240.78.16.255126
35240.78.17.0/25240.78.17.1 to 240.78.17.126240.78.17.127126
36240.78.17.128/25240.78.17.129 to 240.78.17.254240.78.17.255126
37240.78.18.0/25240.78.18.1 to 240.78.18.126240.78.18.127126
38240.78.18.128/25240.78.18.129 to 240.78.18.254240.78.18.255126
39240.78.19.0/25240.78.19.1 to 240.78.19.126240.78.19.127126
40240.78.19.128/25240.78.19.129 to 240.78.19.254240.78.19.255126
41240.78.20.0/25240.78.20.1 to 240.78.20.126240.78.20.127126
42240.78.20.128/25240.78.20.129 to 240.78.20.254240.78.20.255126
43240.78.21.0/25240.78.21.1 to 240.78.21.126240.78.21.127126
44240.78.21.128/25240.78.21.129 to 240.78.21.254240.78.21.255126
45240.78.22.0/25240.78.22.1 to 240.78.22.126240.78.22.127126
46240.78.22.128/25240.78.22.129 to 240.78.22.254240.78.22.255126
47240.78.23.0/25240.78.23.1 to 240.78.23.126240.78.23.127126
48240.78.23.128/25240.78.23.129 to 240.78.23.254240.78.23.255126
49240.78.24.0/25240.78.24.1 to 240.78.24.126240.78.24.127126
50240.78.24.128/25240.78.24.129 to 240.78.24.254240.78.24.255126
51240.78.25.0/25240.78.25.1 to 240.78.25.126240.78.25.127126
52240.78.25.128/25240.78.25.129 to 240.78.25.254240.78.25.255126
53240.78.26.0/25240.78.26.1 to 240.78.26.126240.78.26.127126
54240.78.26.128/25240.78.26.129 to 240.78.26.254240.78.26.255126
55240.78.27.0/25240.78.27.1 to 240.78.27.126240.78.27.127126
56240.78.27.128/25240.78.27.129 to 240.78.27.254240.78.27.255126
57240.78.28.0/25240.78.28.1 to 240.78.28.126240.78.28.127126
58240.78.28.128/25240.78.28.129 to 240.78.28.254240.78.28.255126
59240.78.29.0/25240.78.29.1 to 240.78.29.126240.78.29.127126
60240.78.29.128/25240.78.29.129 to 240.78.29.254240.78.29.255126
61240.78.30.0/25240.78.30.1 to 240.78.30.126240.78.30.127126
62240.78.30.128/25240.78.30.129 to 240.78.30.254240.78.30.255126
63240.78.31.0/25240.78.31.1 to 240.78.31.126240.78.31.127126
64240.78.31.128/25240.78.31.129 to 240.78.31.254240.78.31.255126
65240.78.32.0/25240.78.32.1 to 240.78.32.126240.78.32.127126
66240.78.32.128/25240.78.32.129 to 240.78.32.254240.78.32.255126
67240.78.33.0/25240.78.33.1 to 240.78.33.126240.78.33.127126
68240.78.33.128/25240.78.33.129 to 240.78.33.254240.78.33.255126
69240.78.34.0/25240.78.34.1 to 240.78.34.126240.78.34.127126
70240.78.34.128/25240.78.34.129 to 240.78.34.254240.78.34.255126
71240.78.35.0/25240.78.35.1 to 240.78.35.126240.78.35.127126
72240.78.35.128/25240.78.35.129 to 240.78.35.254240.78.35.255126
73240.78.36.0/25240.78.36.1 to 240.78.36.126240.78.36.127126
74240.78.36.128/25240.78.36.129 to 240.78.36.254240.78.36.255126
75240.78.37.0/25240.78.37.1 to 240.78.37.126240.78.37.127126
76240.78.37.128/25240.78.37.129 to 240.78.37.254240.78.37.255126
77240.78.38.0/25240.78.38.1 to 240.78.38.126240.78.38.127126
78240.78.38.128/25240.78.38.129 to 240.78.38.254240.78.38.255126
79240.78.39.0/25240.78.39.1 to 240.78.39.126240.78.39.127126
80240.78.39.128/25240.78.39.129 to 240.78.39.254240.78.39.255126
81240.78.40.0/25240.78.40.1 to 240.78.40.126240.78.40.127126
82240.78.40.128/25240.78.40.129 to 240.78.40.254240.78.40.255126
83240.78.41.0/25240.78.41.1 to 240.78.41.126240.78.41.127126
84240.78.41.128/25240.78.41.129 to 240.78.41.254240.78.41.255126
85240.78.42.0/25240.78.42.1 to 240.78.42.126240.78.42.127126
86240.78.42.128/25240.78.42.129 to 240.78.42.254240.78.42.255126
87240.78.43.0/25240.78.43.1 to 240.78.43.126240.78.43.127126
88240.78.43.128/25240.78.43.129 to 240.78.43.254240.78.43.255126
89240.78.44.0/25240.78.44.1 to 240.78.44.126240.78.44.127126
90240.78.44.128/25240.78.44.129 to 240.78.44.254240.78.44.255126
91240.78.45.0/25240.78.45.1 to 240.78.45.126240.78.45.127126
92240.78.45.128/25240.78.45.129 to 240.78.45.254240.78.45.255126
93240.78.46.0/25240.78.46.1 to 240.78.46.126240.78.46.127126
94240.78.46.128/25240.78.46.129 to 240.78.46.254240.78.46.255126
95240.78.47.0/25240.78.47.1 to 240.78.47.126240.78.47.127126
96240.78.47.128/25240.78.47.129 to 240.78.47.254240.78.47.255126
97240.78.48.0/25240.78.48.1 to 240.78.48.126240.78.48.127126
98240.78.48.128/25240.78.48.129 to 240.78.48.254240.78.48.255126
99240.78.49.0/25240.78.49.1 to 240.78.49.126240.78.49.127126
100240.78.49.128/25240.78.49.129 to 240.78.49.254240.78.49.255126
101240.78.50.0/25240.78.50.1 to 240.78.50.126240.78.50.127126
102240.78.50.128/25240.78.50.129 to 240.78.50.254240.78.50.255126
103240.78.51.0/25240.78.51.1 to 240.78.51.126240.78.51.127126
104240.78.51.128/25240.78.51.129 to 240.78.51.254240.78.51.255126
105240.78.52.0/25240.78.52.1 to 240.78.52.126240.78.52.127126
106240.78.52.128/25240.78.52.129 to 240.78.52.254240.78.52.255126
107240.78.53.0/25240.78.53.1 to 240.78.53.126240.78.53.127126
108240.78.53.128/25240.78.53.129 to 240.78.53.254240.78.53.255126
109240.78.54.0/25240.78.54.1 to 240.78.54.126240.78.54.127126
110240.78.54.128/25240.78.54.129 to 240.78.54.254240.78.54.255126
111240.78.55.0/25240.78.55.1 to 240.78.55.126240.78.55.127126
112240.78.55.128/25240.78.55.129 to 240.78.55.254240.78.55.255126
113240.78.56.0/25240.78.56.1 to 240.78.56.126240.78.56.127126
114240.78.56.128/25240.78.56.129 to 240.78.56.254240.78.56.255126
115240.78.57.0/25240.78.57.1 to 240.78.57.126240.78.57.127126
116240.78.57.128/25240.78.57.129 to 240.78.57.254240.78.57.255126
117240.78.58.0/25240.78.58.1 to 240.78.58.126240.78.58.127126
118240.78.58.128/25240.78.58.129 to 240.78.58.254240.78.58.255126
119240.78.59.0/25240.78.59.1 to 240.78.59.126240.78.59.127126
120240.78.59.128/25240.78.59.129 to 240.78.59.254240.78.59.255126
121240.78.60.0/25240.78.60.1 to 240.78.60.126240.78.60.127126
122240.78.60.128/25240.78.60.129 to 240.78.60.254240.78.60.255126
123240.78.61.0/25240.78.61.1 to 240.78.61.126240.78.61.127126
124240.78.61.128/25240.78.61.129 to 240.78.61.254240.78.61.255126
125240.78.62.0/25240.78.62.1 to 240.78.62.126240.78.62.127126
126240.78.62.128/25240.78.62.129 to 240.78.62.254240.78.62.255126
127240.78.63.0/25240.78.63.1 to 240.78.63.126240.78.63.127126
128240.78.63.128/25240.78.63.129 to 240.78.63.254240.78.63.255126

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses